Class | SOAP::EncodingStyle::LiteralHandler::SOAPUnknown
In: | soap/encodingstyle/literalHandler.rb
Parent: | SOAPTemporalObject

### Methods

as_element as_nil as_string new

### Public Class methods

new(handler, elename, extraattr)

[Source]

    # File soap/encodingstyle/literalHandler.rb, line 105
        def initialize(handler, elename, extraattr)
          super()
          @handler = handler
          @elename = elename
          @extraattr = extraattr
        end

### Public Instance methods

as_element()

[Source]

    # File soap/encodingstyle/literalHandler.rb, line 112
        def as_element
          o = SOAPElement.decode(@elename)
          o.parent = @parent
          o.extraattr.update(@extraattr)
          @handler.decode_parent(@parent, o)
          o
        end

as_nil()

[Source]

    # File soap/encodingstyle/literalHandler.rb, line 128
        def as_nil
          o = SOAPNil.decode(@elename)
          o.parent = @parent
          o.extraattr.update(@extraattr)
          @handler.decode_parent(@parent, o)
          o
        end

as_string()

[Source]

    # File soap/encodingstyle/literalHandler.rb, line 120
        def as_string
          o = SOAPString.decode(@elename)
          o.parent = @parent
          o.extraattr.update(@extraattr)
          @handler.decode_parent(@parent, o)
          o
        end

[Validate]